# ApplicationFramework
TKPShape
PGeom

# PGeom_Circle Class Reference

`#include <PGeom_Circle.hxx>`

Inheritance diagram for PGeom_Circle:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_Circle ()
| Creates a circle with default values. .
Standard_EXPORT | PGeom_Circle (const gp_Ax2 &aPosition, const Standard_Real aRadius)
| Creates a Circle with <aposition> and <aradius> as field values. .
Standard_EXPORT void | Radius (const Standard_Real aRadius)
| Set the value of the field radius with <aradius>. .
Standard_EXPORT Standard_Real | Radius () const
| Returns the value of the field radius. .
| PGeom_Circle (const Storage_stCONSTclCOM &a)
Standard_Real | _CSFDB_GetPGeom_Circleradius () const
void | _CSFDB_SetPGeom_Circleradius (const Standard_Real p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | radius

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_Circle::PGeom_Circle | ( |  | ) |

Standard_EXPORT PGeom_Circle::PGeom_Circle | ( | const gp_Ax2 & | aPosition,
|  | const Standard_Real | aRadius
| ) |

PGeom_Circle::PGeom_Circle | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Real PGeom_Circle::_CSFDB_GetPGeom_Circleradius | ( |  | ) | const`[inline]`

void PGeom_Circle::_CSFDB_SetPGeom_Circleradius | ( | const Standard_Real | p | ) | `[inline]`

Standard_EXPORT const PGeom_Circle::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Conic.

Standard_EXPORT Standard_Real PGeom_Circle::Radius | ( |  | ) | const

Standard_EXPORT void PGeom_Circle::Radius | ( | const Standard_Real | aRadius | ) |

## Field Documentation

Standard_Real PGeom_Circle::radius `[private]`

The documentation for this class was generated from the following file:

- PGeom_Circle.hxx